
#ifndef BEARLIB_HS_H_
#define BEARLIB_HS_H_

#ifdef BEARLIB_HS_DLL
#define BEARLIB_API __declspec(dllexport) __stdcall
#else
#define BEARLIB_API __declspec(dllimport) __stdcall
#endif

#ifdef __cplusplus
extern "C"
{
#endif

    #define NAME_LENGTH 255

    typedef struct
    {
        char name[NAME_LENGTH];
        int score;
    }
    HS_Entry;

    void	    BEARLIB_API    HS_UseFile( const char* filename, unsigned int number_of_entries );
    void	    BEARLIB_API    HS_Clear();
    void        BEARLIB_API    HS_Post( const char* name, int score );
    int         BEARLIB_API    HS_Count();
    HS_Entry    BEARLIB_API    HS_Get( int entry_index );

#ifdef __cplusplus 
}
#endif

#endif // BEARLIB_HS_H_